%global momorel 21

Name:           perl-Crypt-RSA
Version:        1.99
Release:        %{momorel}m%{?dist}
Summary:        RSA public-key cryptosystem
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Crypt-RSA/
Source0:        http://www.cpan.org/authors/id/V/VI/VIPUL/Crypt-RSA-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.6.0
BuildRequires:  perl-Class-Loader >= 2.00
BuildRequires:  perl-Convert-ASCII-Armour
BuildRequires:  perl-Crypt-Blowfish
BuildRequires:  perl-Crypt-CBC
BuildRequires:  perl-Crypt-Primes >= 0.38
BuildRequires:  perl-Crypt-Random >= 0.34
BuildRequires:  perl-Data-Buffer
BuildRequires:  perl-Digest-MD2
BuildRequires:  perl-Digest-SHA1
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Math-Pari >= 2.001804
BuildRequires:  perl-Sort-Versions
BuildRequires:  perl-Tie-EncryptedHash
Requires:       perl-Class-Loader >= 2.00
Requires:       perl-Convert-ASCII-Armour
Requires:       perl-Crypt-Blowfish
Requires:       perl-Crypt-CBC
Requires:       perl-Crypt-Primes >= 0.38
Requires:       perl-Crypt-Random >= 0.34
Requires:       perl-Data-Buffer
Requires:       perl-Digest-MD2
Requires:       perl-Digest-SHA1
Requires:       perl-Math-Pari >= 2.001804
Requires:       perl-Sort-Versions
Requires:       perl-Tie-EncryptedHash
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Crypt::RSA is a pure-perl, cleanroom implementation of the RSA public-key
cryptosystem. It uses Math::Pari(3), a perl interface to the blazingly fast
PARI library, for big integer arithmetic and number theoretic computations.

%prep
%setup -q -n Crypt-RSA-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ARTISTIC Changes COPYING MANIFEST.skip README TODO
%{perl_vendorlib}/Crypt/RSA
%{perl_vendorlib}/Crypt/RSA.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.99-21m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.99-20m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.99-19m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.99-18m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.99-17m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.99-16m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.99-15m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.99-14m)
- rebuild against perl-5.16.0

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.99-13m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.99-12m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.99-11m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.99-10m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.99-9m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.99-8m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.99-7m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.99-6m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.99-5m)
- rebuild against perl-5.12.0

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.99-4m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated
- Specfile re-generated by cpanspec 1.78

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.99-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.99-2m)
- rebuild against perl-5.10.1

* Fri Jun 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.99-1m)
- update to 1.99

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.98-2m)
- rebuild against rpm-4.6

* Mon Aug 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.98-1m)
- update to 1.98

* Tue Jul  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.97-1m)
- update to 1.97

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.58-3m)
- rebuild against gcc43

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.58-2m)
- use vendor

* Fri Dec 22 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.58-1m)
- update to 1.58

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.57-1m)
- spec file was autogenerated
